package interactivefeaturelocator.test;

import java.util.HashSet;

import org.ntlab.trace.Trace;

public class Constraint {
	
	public void proposition1() {
		
	}
	
	public void proposition2() {
		
	}
	
	public void proposition3() {
		
	}
	
	public void assumption4() {
		
	}
	
	public void proposition5() {
		
	}
	
	public HashSet<String> assumption6(Trace plus, Trace minus) {
		HashSet<String> plusMethodSignatures = plus.getAllMethodSignatures();
		HashSet<String> minusMethodSignatures = minus.getAllMethodSignatures();
		HashSet<String> difference = plusMethodSignatures;
		plusMethodSignatures.removeAll(minusMethodSignatures);
		return difference;
	}
	
	public void assumption7() {
		
	}
	
	public void proposition8() {
		
	}
	
	public void proposition9() {
		
	}
	
	public void assumption10() {
		
	}
	
	public void assumption11() {
		
	}
	
	public void assumption12() {
		
	}
	
	public void assumption13() {
		
	}
}
